icetea_studio_core 0.0.2

icetea_studio_core #

An IceTeaStudio core

Getting Started #

For help getting started with Flutter, view our online documentation.

For help on editing package code, view the documentation.

[0.0.1] - The first release

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  icetea_studio_core: ^0.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:icetea_studio_core/icetea_studio_core.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
74
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
5
Overall:
Weighted score of the above. [more]
23
Learn more about scoring.

We analyzed this package on Aug 22, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.4.0
  • pana: 0.12.19
  • Flutter: 1.7.8+hotfix.4

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Health suggestions

Fix lib/ui/i18n/strings.dart. (-8.63 points)

Analysis of lib/ui/i18n/strings.dart reported 18 hints, including:

line 37 col 14: Name non-constant identifiers using lowerCamelCase.

line 40 col 14: Name non-constant identifiers using lowerCamelCase.

line 41 col 14: Name non-constant identifiers using lowerCamelCase.

line 42 col 14: Name non-constant identifiers using lowerCamelCase.

line 43 col 14: Name non-constant identifiers using lowerCamelCase.

Fix lib/ui/view_models/layout/base_list_layout_vm.dart. (-2.96 points)

Analysis of lib/ui/view_models/layout/base_list_layout_vm.dart reported 6 hints, including:

line 6 col 11: Avoid wrapping fields in getters and setters just to be "safe".

line 7 col 7: Avoid wrapping fields in getters and setters just to be "safe".

line 10 col 12: Avoid wrapping fields in getters and setters just to be "safe".

line 11 col 7: Avoid wrapping fields in getters and setters just to be "safe".

line 14 col 12: Avoid wrapping fields in getters and setters just to be "safe".

Fix lib/ui/screens/layouts/base_layout.dart. (-1.99 points)

Analysis of lib/ui/screens/layouts/base_layout.dart reported 4 hints:

line 30 col 27: Avoid wrapping fields in getters and setters just to be "safe".

line 31 col 7: Avoid wrapping fields in getters and setters just to be "safe".

line 37 col 35: Avoid wrapping fields in getters and setters just to be "safe".

line 39 col 7: Avoid wrapping fields in getters and setters just to be "safe".

Fix additional 102 files with analysis or formatting issues. (-15.98 points)

Additional issues in the following files:

  • lib/ui/screens/search/layout_content_search_list_presenter_base.dart (4 hints)
  • lib/ui/base/base_state.dart (3 hints)
  • lib/ui/screens/layouts/base_layout_presenter.dart (2 hints)
  • lib/ui/screens/lists/list_layout_presenter.dart (2 hints)
  • lib/ui/view_models/dialog/base_dialog_vm.dart (2 hints)
  • lib/data/repositories/app_data_repository.dart (1 hint)
  • lib/data/repositories/base_repository.dart (1 hint)
  • lib/domain/errors/bad_reporting_request_exception.dart (1 hint)
  • lib/domain/errors/item_not_found_exception.dart (1 hint)
  • lib/domain/errors/message_user_unavailable_exception.dart (1 hint)
  • lib/domain/errors/missing_token_exception.dart (1 hint)
  • lib/domain/errors/not_allow_send_message_exception.dart (1 hint)
  • lib/domain/errors/not_authorized_exception.dart (1 hint)
  • lib/domain/errors/not_conversation_member_exception.dart (1 hint)
  • lib/domain/errors/token_invalid_exception.dart (1 hint)
  • lib/domain/errors/unauthenticated_exception.dart (1 hint)
  • lib/domain/errors/unknow_error_exception.dart (1 hint)
  • lib/ui/base/base_presenter.dart (1 hint)
  • lib/ui/styles/bottom_menu_item_theme.dart (1 hint)
  • lib/ui/widgets/images/cached_image.dart (1 hint)
  • lib/ui/widgets/inputs/custom_text_input.dart (1 hint)
  • lib/ui/widgets/inputs/search_filter_input.dart (1 hint)
  • lib/ui/widgets/progress_status/progress_status.dart (1 hint)
  • lib/ui/widgets/state/loading_view/loading_view.dart (1 hint)
  • lib/constants/global.dart (Run flutter format to format lib/constants/global.dart.)
  • lib/data/base/base_request_entity.dart (Run flutter format to format lib/data/base/base_request_entity.dart.)
  • lib/data/base/base_result_entity.dart (Run flutter format to format lib/data/base/base_result_entity.dart.)
  • lib/data/base/base_socket_entity.dart (Run flutter format to format lib/data/base/base_socket_entity.dart.)
  • lib/data/utils/json_mapper_util.dart (Run flutter format to format lib/data/utils/json_mapper_util.dart.)
  • lib/data/utils/request_builder_util.dart (Run flutter format to format lib/data/utils/request_builder_util.dart.)
  • lib/domain/constants/global.dart (Run flutter format to format lib/domain/constants/global.dart.)
  • lib/domain/errors/index.dart (Run flutter format to format lib/domain/errors/index.dart.)
  • lib/domain/services/base/base_api_service.dart (Run flutter format to format lib/domain/services/base/base_api_service.dart.)
  • lib/domain/services/base/base_api_service_impl.dart (Run flutter format to format lib/domain/services/base/base_api_service_impl.dart.)
  • lib/domain/services/logger/logger_manager.dart (Run flutter format to format lib/domain/services/logger/logger_manager.dart.)
  • lib/domain/utils/jwt_util.dart (Run flutter format to format lib/domain/utils/jwt_util.dart.)
  • lib/ui/assets/assets.dart (Run flutter format to format lib/ui/assets/assets.dart.)
  • lib/ui/base/base_view_contract.dart (Run flutter format to format lib/ui/base/base_view_contract.dart.)
  • lib/ui/base/base_view_model.dart (Run flutter format to format lib/ui/base/base_view_model.dart.)
  • lib/ui/base/typedefs.dart (Run flutter format to format lib/ui/base/typedefs.dart.)
  • lib/ui/constants/routes.dart (Run flutter format to format lib/ui/constants/routes.dart.)
  • lib/ui/constants/screen.dart (Run flutter format to format lib/ui/constants/screen.dart.)
  • lib/ui/constants/validation.dart (Run flutter format to format lib/ui/constants/validation.dart.)
  • lib/ui/i18n/messages_all.dart (Run flutter format to format lib/ui/i18n/messages_all.dart.)
  • lib/ui/i18n/messages_en.dart (Run flutter format to format lib/ui/i18n/messages_en.dart.)
  • lib/ui/observers.dart (Run flutter format to format lib/ui/observers.dart.)
  • lib/ui/screens/dialog/dialog_layout.dart (Run flutter format to format lib/ui/screens/dialog/dialog_layout.dart.)
  • lib/ui/screens/dialog/dialog_layout_content_presenter_contract.dart (Run flutter format to format lib/ui/screens/dialog/dialog_layout_content_presenter_contract.dart.)
  • lib/ui/screens/dialog/dialog_layout_contract.dart (Run flutter format to format lib/ui/screens/dialog/dialog_layout_contract.dart.)
  • lib/ui/screens/dialog/dialog_layout_presenter.dart (Run flutter format to format lib/ui/screens/dialog/dialog_layout_presenter.dart.)
  • lib/ui/screens/dialog/dialog_with_action_layout.dart (Run flutter format to format lib/ui/screens/dialog/dialog_with_action_layout.dart.)
  • lib/ui/screens/layouts/base_layout_content_presenter_contract.dart (Run flutter format to format lib/ui/screens/layouts/base_layout_content_presenter_contract.dart.)
  • lib/ui/screens/layouts/base_layout_contract.dart (Run flutter format to format lib/ui/screens/layouts/base_layout_contract.dart.)
  • lib/ui/screens/layouts/layout_tab_content_info.dart (Run flutter format to format lib/ui/screens/layouts/layout_tab_content_info.dart.)
  • lib/ui/screens/lists/list_content/content_list_layout.dart (Run flutter format to format lib/ui/screens/lists/list_content/content_list_layout.dart.)
  • lib/ui/screens/lists/list_content_layout_content_presenter_contract.dart (Run flutter format to format lib/ui/screens/lists/list_content_layout_content_presenter_contract.dart.)
  • lib/ui/screens/lists/list_layout.dart (Run flutter format to format lib/ui/screens/lists/list_layout.dart.)
  • lib/ui/screens/lists/list_layout_content_presenter_contract.dart (Run flutter format to format lib/ui/screens/lists/list_layout_content_presenter_contract.dart.)
  • lib/ui/screens/lists/list_layout_contract.dart (Run flutter format to format lib/ui/screens/lists/list_layout_contract.dart.)
  • lib/ui/styles/colors.dart (Run flutter format to format lib/ui/styles/colors.dart.)
  • lib/ui/styles/theme.dart (Run flutter format to format lib/ui/styles/theme.dart.)
  • lib/ui/styles/theme_input_search.dart (Run flutter format to format lib/ui/styles/theme_input_search.dart.)
  • lib/ui/styles/theme_placeholder.dart (Run flutter format to format lib/ui/styles/theme_placeholder.dart.)
  • lib/ui/styles/theme_primary.dart (Run flutter format to format lib/ui/styles/theme_primary.dart.)
  • lib/ui/styles/theme_screen_section.dart (Run flutter format to format lib/ui/styles/theme_screen_section.dart.)
  • lib/ui/styles/theme_text_dialog.dart (Run flutter format to format lib/ui/styles/theme_text_dialog.dart.)
  • lib/ui/utils/date_time_utils.dart (Run flutter format to format lib/ui/utils/date_time_utils.dart.)
  • lib/ui/utils/dialog_util.dart (Run flutter format to format lib/ui/utils/dialog_util.dart.)
  • lib/ui/utils/navigator_util.dart (Run flutter format to format lib/ui/utils/navigator_util.dart.)
  • lib/ui/utils/toast_util.dart (Run flutter format to format lib/ui/utils/toast_util.dart.)
  • lib/ui/view_models/layout/base_layout_vm.dart (Run flutter format to format lib/ui/view_models/layout/base_layout_vm.dart.)
  • lib/ui/view_models/list/base_list_vm.dart (Run flutter format to format lib/ui/view_models/list/base_list_vm.dart.)
  • lib/ui/view_models/list_item/list_item_base_vm_contract.dart (Run flutter format to format lib/ui/view_models/list_item/list_item_base_vm_contract.dart.)
  • lib/ui/widgets/buttons/loading_button.dart (Run flutter format to format lib/ui/widgets/buttons/loading_button.dart.)
  • lib/ui/widgets/buttons/remove_button.dart (Run flutter format to format lib/ui/widgets/buttons/remove_button.dart.)
  • lib/ui/widgets/chip/custom_chip.dart (Run flutter format to format lib/ui/widgets/chip/custom_chip.dart.)
  • lib/ui/widgets/dots/color_dot.dart (Run flutter format to format lib/ui/widgets/dots/color_dot.dart.)
  • lib/ui/widgets/grid_chip/grid_chip_view.dart (Run flutter format to format lib/ui/widgets/grid_chip/grid_chip_view.dart.)
  • lib/ui/widgets/headers/section_header_title.dart (Run flutter format to format lib/ui/widgets/headers/section_header_title.dart.)
  • lib/ui/widgets/html/html_text_view.dart (Run flutter format to format lib/ui/widgets/html/html_text_view.dart.)
  • lib/ui/widgets/images/circle_image.dart (Run flutter format to format lib/ui/widgets/images/circle_image.dart.)
  • lib/ui/widgets/inputs/datetime_picker.dart (Run flutter format to format lib/ui/widgets/inputs/datetime_picker.dart.)
  • lib/ui/widgets/inputs/dropdown_input.dart (Run flutter format to format lib/ui/widgets/inputs/dropdown_input.dart.)
  • lib/ui/widgets/inputs/inline_add_input.dart (Run flutter format to format lib/ui/widgets/inputs/inline_add_input.dart.)
  • lib/ui/widgets/inputs/password_text_form_field.dart (Run flutter format to format lib/ui/widgets/inputs/password_text_form_field.dart.)
  • lib/ui/widgets/inputs/text_composer.dart (Run flutter format to format lib/ui/widgets/inputs/text_composer.dart.)
  • lib/ui/widgets/label/custom_label_view.dart (Run flutter format to format lib/ui/widgets/label/custom_label_view.dart.)
  • lib/ui/widgets/links/section_expand_toggle.dart (Run flutter format to format lib/ui/widgets/links/section_expand_toggle.dart.)
  • lib/ui/widgets/lists/dot_indicator_list.dart (Run flutter format to format lib/ui/widgets/lists/dot_indicator_list.dart.)
  • lib/ui/widgets/lists/expansible_panel_list.dart (Run flutter format to format lib/ui/widgets/lists/expansible_panel_list.dart.)
  • lib/ui/widgets/load_more/load_more_item.dart (Run flutter format to format lib/ui/widgets/load_more/load_more_item.dart.)
  • lib/ui/widgets/navigation/bottom_menu_item.dart (Run flutter format to format lib/ui/widgets/navigation/bottom_menu_item.dart.)
  • lib/ui/widgets/pickers/list_picker.dart (Run flutter format to format lib/ui/widgets/pickers/list_picker.dart.)
  • lib/ui/widgets/placeholders/circle_placeholder.dart (Run flutter format to format lib/ui/widgets/placeholders/circle_placeholder.dart.)
  • lib/ui/widgets/placeholders/field_loading_placeholder.dart (Run flutter format to format lib/ui/widgets/placeholders/field_loading_placeholder.dart.)
  • lib/ui/widgets/progress_indicators/view_loading.dart (Run flutter format to format lib/ui/widgets/progress_indicators/view_loading.dart.)
  • lib/ui/widgets/state/base_state_view.dart (Run flutter format to format lib/ui/widgets/state/base_state_view.dart.)
  • lib/ui/widgets/state/error_view/error_view.dart (Run flutter format to format lib/ui/widgets/state/error_view/error_view.dart.)
  • lib/ui/widgets/templates/side_menu_item.dart (Run flutter format to format lib/ui/widgets/templates/side_menu_item.dart.)
  • lib/ui/widgets/text/empty_field_text.dart (Run flutter format to format lib/ui/widgets/text/empty_field_text.dart.)
  • lib/ui/widgets/text/empty_field_text_span.dart (Run flutter format to format lib/ui/widgets/text/empty_field_text_span.dart.)
  • lib/ui/widgets/text/field_text_span.dart (Run flutter format to format lib/ui/widgets/text/field_text_span.dart.)

Maintenance issues and suggestions

Make sure dartdoc successfully runs on your package's source files. (-10 points)

exitCode: 255 stdout: parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/icetea_studio_core.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/assets/assets.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/constants/routes.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/constants/screen.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/constants/validation.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout_contract.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/layout_tab_content_info.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout_content_presenter_contract.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout_presenter.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_layout.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content/content_list_layout.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content_layout_content_presenter_contract.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_layout_content_presenter_contract.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_layout_contract.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_layout_presenter.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/dialog/dialog_layout_presenter.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/dialog/dialog_layout.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/dialog/dialog_layout_content_presenter_contract.dart... parsing /tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/dialog/dialog_layout_contract.dart... [...] Generating docs for library base_state_view from package:icetea_studio_core/ui/widgets/state/base_state_view.dart... Generating docs for library base_view_contract from package:icetea_studio_core/ui/base/base_view_contract.dart... Generating docs for library base_view_model from package:icetea_studio_core/ui/base/base_view_model.dart... Generating docs for library bottom_menu_item from package:icetea_studio_core/ui/widgets/navigation/bottom_menu_item.dart... Generating docs for library bottom_menu_item_theme from package:icetea_studio_core/ui/styles/bottom_menu_item_theme.dart... Generating docs for library cached_image from package:icetea_studio_core/ui/widgets/images/cached_image.dart... Generating docs for library circle_image from package:icetea_studio_core/ui/widgets/images/circle_image.dart... Generating docs for library circle_placeholder from package:icetea_studio_core/ui/widgets/placeholders/circle_placeholder.dart... Generating docs for library color_dot from package:icetea_studio_core/ui/widgets/dots/color_dot.dart... Generating docs for library colors from package:icetea_studio_core/ui/styles/colors.dart... Generating docs for library content_list_layout from package:icetea_studio_core/ui/screens/lists/list_content/content_list_layout.dart... Generating docs for library custom_chip from package:icetea_studio_core/ui/widgets/chip/custom_chip.dart... Generating docs for library custom_label_view from package:icetea_studio_core/ui/widgets/label/custom_label_view.dart... Generating docs for library custom_text_input from package:icetea_studio_core/ui/widgets/inputs/custom_text_input.dart... Generating docs for library date_time_utils from package:icetea_studio_core/ui/utils/date_time_utils.dart... Generating docs for library datetime_picker from package:icetea_studio_core/ui/widgets/inputs/datetime_picker.dart... Generating docs for library dialog_layout from package:icetea_studio_core/ui/screens/dialog/dialog_layout.dart... Generating docs for library dialog_layout_content_presenter_contract from package:icetea_studio_core/ui/screens/dialog/dialog_layout_content_presenter_contract.dart... Generating docs for library dialog_layout_contract from package:icetea_studio_core/ui/screens/dialog/dialog_layout_contract.dart... Generating docs for library dialog_layout_presenter from package:icetea_studio_core/ui/screens/dialog/dialog_layout_presenter.dart... stderr: Documenting icetea_studio_core... warning: private API of package:Dart is reexported by libraries in other packages: from E: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/collections.dart:11:28) referred to by collection: (file:///tmp/pub-cache-dirDJBVYQ/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirDJBVYQ/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: private API of package:Dart is reexported by libraries in other packages: from K: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/maps.dart:372:27) referred to by collection: (file:///tmp/pub-cache-dirDJBVYQ/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirDJBVYQ/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: private API of package:Dart is reexported by libraries in other packages: from V: (file:///flutter/bin/cache/pkg/sky_engine/lib/collection/maps.dart:372:30) referred to by collection: (file:///tmp/pub-cache-dirDJBVYQ/hosted/pub.dartlang.org/collection-1.14.11/lib/collection.dart) referred to by dart.pkg.collection.wrappers: (file:///tmp/pub-cache-dirDJBVYQ/hosted/pub.dartlang.org/collection-1.14.11/lib/wrappers.dart:7:9) warning: ambiguous reexport of dart-ui.hashList, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.hashList: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/hash_codes.dart:114:5) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) Use {@canonicalFor dart:ui.hashList} in the desired library's documentation to resolve the ambiguity and/or override dartdoc's decision, or structure your package so the reexport is less ambiguous. The symbol will still be referenced in all candidates -- this only controls the location where it will be written and which library will be displayed in navigation for the relevant pages. The flag --ambiguous-reexport-scorer-min-confidence allows you to set the threshold at which this warning will appear. warning: ambiguous reexport of dart-ui.hashValues, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.hashValues: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/hash_codes.dart:42:5) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.VoidCallback, canonicalization candidates: (cupertino, foundation, material, painting, rendering, scheduler, widgets) -> widgets (confidence 0.000) from dart-ui.VoidCallback: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:8:9) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) foundation: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) scheduler: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.AccessibilityFeatures, canonicalization candidates: (rendering, semantics) -> semantics (confidence 0.000) from dart-ui.AccessibilityFeatures: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:1144:7) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) semantics: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.FontWeight, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.FontWeight: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:17:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Locale, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Locale: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:241:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Offset, canonicalization candidates: (cupertino, gestures, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Offset: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:119:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) gestures: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Radius, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Radius: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:895:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Rect, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Rect: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:621:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.RRect, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.RRect: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:1018:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.RSTransform, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.RSTransform: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:1641:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Size, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.Size: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/geometry.dart:347:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextBox, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextBox: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1144:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextDecoration, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextDecoration: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:287:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextPosition, canonicalization candidates: (cupertino, material, painting, rendering, services, widgets) -> widgets (confidence 0.000) from dart-ui.TextPosition: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1288:7) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.AppLifecycleState, canonicalization candidates: (cupertino, material, scheduler, widgets) -> widgets (confidence 0.000) from dart-ui.AppLifecycleState: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:145:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) scheduler: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.Brightness, canonicalization candidates: (cupertino, material, services) -> services (confidence 0.000) from dart-ui.Brightness: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/window.dart:1208:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.FontStyle, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.FontStyle: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:8:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.PlaceholderAlignment, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.PlaceholderAlignment: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1456:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextAffinity, canonicalization candidates: (cupertino, material, painting, rendering, services, widgets) -> widgets (confidence 0.000) from dart-ui.TextAffinity: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1246:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) services: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextAlign, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextAlign: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:246:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextBaseline, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextBaseline: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:278:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextDecorationStyle, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextDecorationStyle: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:346:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: ambiguous reexport of dart-ui.TextDirection, canonicalization candidates: (cupertino, material, painting, rendering, widgets) -> widgets (confidence 0.000) from dart-ui.TextDirection: (file:///flutter/bin/cache/pkg/sky_engine/lib/ui/text.dart:1132:6) cupertino: 1.010 - embeds package name (+1.000), name is long (+0.01000) material: 1.010 - embeds package name (+1.000), name is long (+0.01000) painting: 1.010 - embeds package name (+1.000), name is long (+0.01000) rendering: 1.010 - embeds package name (+1.000), name is long (+0.01000) widgets: 1.010 - embeds package name (+1.000), name is long (+0.01000) warning: no canonical library found for app_data_repository.AppDataRepository.hashCode, not linking, from app_data_repository.AppDataRepository.hashCode: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart) warning: no canonical library found for app_data_repository.AppDataRepository.runtimeType, not linking, from app_data_repository.AppDataRepository.runtimeType: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart) warning: no canonical library found for app_data_repository.AppDataRepository.noSuchMethod, not linking, from app_data_repository.AppDataRepository.noSuchMethod: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:109:20) warning: no canonical library found for app_data_repository.AppDataRepository.toString, not linking, from app_data_repository.AppDataRepository.toString: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:97:19) warning: no canonical library found for app_data_repository.AppDataRepository.==, not linking, from app_data_repository.AppDataRepository.==: (file:///flutter/bin/cache/pkg/sky_engine/lib/core/object.dart:60:26) warning: unresolved doc reference [InheritedWidget] from base_layout.BaseLayoutState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout.dart:69:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [AnimatedWidget] from base_layout.BaseLayoutState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout.dart:69:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [BaseLayout], from base_layout_presenter.BaseLayoutPresenter: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout_presenter.dart:9:8) warning: unresolved doc reference [IBaseLayoutContract], from base_layout_presenter.BaseLayoutPresenter.BaseLayoutPresenter: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/layouts/base_layout_presenter.dart:18:4) warning: unresolved doc reference [InheritedWidget] from base_state.BaseState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/base/base_state.dart:14:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [AnimatedWidget] from base_state.BaseState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/base/base_state.dart:14:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [TabSearchLayout], from content_list_layout.ContentListLayoutState: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content/content_list_layout.dart:9:18) warning: unresolved doc reference [InheritedWidget] from content_list_layout.ContentListLayoutState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content/content_list_layout.dart:19:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [AnimatedWidget] from content_list_layout.ContentListLayoutState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content/content_list_layout.dart:19:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [ChangeNotifier] from content_list_layout.ContentListLayoutState.dispose: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content/content_list_layout.dart:26:9) in documentation inherited from framework.State.dispose: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1209:8) warning: unresolved doc reference [Stream] from content_list_layout.ContentListLayoutState.dispose: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/lists/list_content/content_list_layout.dart:26:9) in documentation inherited from framework.State.dispose: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1209:8) warning: unresolved doc reference [InheritedWidget] from dialog_layout.DialogLayoutState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/dialog/dialog_layout.dart:43:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) warning: unresolved doc reference [AnimatedWidget] from dialog_layout.DialogLayoutState.build: (file:///tmp/pub-dartlang-dartdocWEMFBL/pkg/lib/ui/screens/dialog/dialog_layout.dart:43:11) in documentation inherited from framework.State.build: (file:///flutter/packages/flutter/lib/src/widgets/framework.dart:1314:10) Unhandled exception: RangeError (start): Invalid value: Only valid value is 0: 1 #0 _StringBase.indexOf (dart:core-patch/string_patch.dart:333:7) #1 String.indexOf (dart:core-patch/string_patch.dart:1028:18) #2 _createLineNumbersMap (package:dartdoc/src/line_number_cache.dart:30:23) #3 LineNumberCache.lineAndColumn.

Support latest dependencies. (-40 points)

The version constraint in pubspec.yaml does not support the latest published versions for 4 dependencies (cached_network_image, intl_translation, json_serializable, shared_preferences).

The package description is too short. (-20 points)

Add more detail to the description field of pubspec.yaml. Use 60 to 180 characters to describe the package, what it does, and its target use case.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and icetea_studio_core.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Package is pre-v0.1 release. (-10 points)

While nothing is inherently wrong with versions of 0.0.*, it might mean that the author is still experimenting with the general direction of the API.

Homepage URL is insecure. (-5 points)

Update the homepage field and use a secure (https) URL.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.0.0-dev.28.0 <3.0.0
cached_network_image ^0.4.1+1 0.4.2 1.1.1
flutter 0.0.0
ice_tea_studio_plugins ^0.0.2 0.0.8
intl ^0.15.7 0.15.8
intl_translation ^0.17.0 0.17.1 0.17.5
json_serializable ^0.5.8+1 0.5.8+1 3.2.2
shared_preferences ^0.4.2 0.4.3 0.5.3+4
Transitive dependencies
analyzer 0.32.6 0.38.1
args 1.5.2
async 2.3.0
build 0.12.8 1.1.6
build_config 0.3.1+2 0.4.1+1
charcode 1.1.2
collection 1.14.11 1.14.12
convert 2.1.1
crypto 2.1.2
csslib 0.16.1
dart_style 1.1.3 1.2.10
flutter_cache_manager 0.1.2 1.1.1
front_end 0.1.4+2 0.1.23
glob 1.1.7
html 0.14.0+2
http 0.11.3+17 0.12.0+2
http_parser 3.1.3
json_annotation 0.2.9+1 3.0.0
kernel 0.3.4+2 0.3.23
logging 0.11.3+2
matcher 0.12.5
meta 1.1.6 1.1.7
package_config 1.1.0
path 1.6.4
path_provider 0.4.1 1.2.0
pedantic 1.8.0+1
petitparser 1.7.7 2.4.0
plugin 0.2.0+3
pub_semver 1.4.2
pubspec_parse 0.1.2+2 0.1.5
sky_engine 0.0.99
source_gen 0.8.3+1 0.9.4+4
source_span 1.5.5
stack_trace 1.9.3
string_scanner 1.0.5
synchronized 1.5.3+2 2.1.0+1
term_glyph 1.1.0
typed_data 1.1.6
uuid 1.0.3 2.0.2
vector_math 2.0.8
watcher 0.9.7+12
yaml 2.1.16
Dev dependencies
flutter_test